com.google.appengine.api.datastore.dev

## Class DatastoreV3Impl

- java.lang.Object
- - com.google.appengine.api.datastore.dev.DatastoreV3Impl

- All Implemented Interfaces:
    DatastoreV3

      public class DatastoreV3Impl
      extends java.lang.Object
      implements DatastoreV3

  An implementation `DatastoreV3` which wraps a `LocalDatastoreService`.

  `LocalDatastoreService` should but cannot implement `DatastoreV3` directly because the ApiProxy uses method-named based reflection to call stubs. It doesn't properly check the method signature so the single-parameter version may be called by ApiProxy instead of the expected two parameter version.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatastoreV3Impl(LocalDatastoreService delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActions(TaskQueueBulkAddRequest req)`
    `AllocateIdsResponse` | `allocateIds(AllocateIdsRequest req)`
    `Transaction` | `beginTransaction(BeginTransactionRequest req)`
    `CommitResponse` | `commit(Transaction req)`
    `long` | `createIndex(CompositeIndex req)`
    `DeleteResponse` | `delete(DeleteRequest req)`
    `void` | `deleteCursor(Cursor req)`
    `void` | `deleteIndex(CompositeIndex req)`
    `GetResponse` | `get(GetRequest req)`
    `CompositeIndices` | `getIndices(java.lang.String appId)`
    `QueryResult` | `next(NextRequest req)`
    `PutResponse` | `put(PutRequest req)`
    `void` | `rollback(Transaction req)`
    `QueryResult` | `runQuery(Query req)`
    `void` | `updateIndex(CompositeIndex req)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatastoreV3Impl

          public DatastoreV3Impl(LocalDatastoreService delegate)

  - ### Method Detail

    - #### addActions

          public void addActions(TaskQueueBulkAddRequest req)

      Specified by:
        `addActions` in interface `DatastoreV3`

    - #### allocateIds

          public AllocateIdsResponse allocateIds(AllocateIdsRequest req)

      Specified by:
        `allocateIds` in interface `DatastoreV3`

    - #### beginTransaction

          public Transaction beginTransaction(BeginTransactionRequest req)

      Specified by:
        `beginTransaction` in interface `DatastoreV3`

    - #### commit

          public CommitResponse commit(Transaction req)

      Specified by:
        `commit` in interface `DatastoreV3`

    - #### createIndex

          public long createIndex(CompositeIndex req)

      Specified by:
        `createIndex` in interface `DatastoreV3`

    - #### delete

          public DeleteResponse delete(DeleteRequest req)

      Specified by:
        `delete` in interface `DatastoreV3`

    - #### deleteCursor

          public void deleteCursor(Cursor req)

      Specified by:
        `deleteCursor` in interface `DatastoreV3`

    - #### deleteIndex

          public void deleteIndex(CompositeIndex req)

      Specified by:
        `deleteIndex` in interface `DatastoreV3`

    - #### get

          public GetResponse get(GetRequest req)

      Specified by:
        `get` in interface `DatastoreV3`

    - #### getIndices

          public CompositeIndices getIndices(java.lang.String appId)

      Specified by:
        `getIndices` in interface `DatastoreV3`

    - #### next

          public QueryResult next(NextRequest req)

      Specified by:
        `next` in interface `DatastoreV3`

    - #### put

          public PutResponse put(PutRequest req)

      Specified by:
        `put` in interface `DatastoreV3`

    - #### rollback

          public void rollback(Transaction req)

      Specified by:
        `rollback` in interface `DatastoreV3`

    - #### runQuery

          public QueryResult runQuery(Query req)

      Specified by:
        `runQuery` in interface `DatastoreV3`

    - #### updateIndex

          public void updateIndex(CompositeIndex req)

      Specified by:
        `updateIndex` in interface `DatastoreV3`